package org.eclipse.jet.compiled;

import org.eclipse.jet.JET2Context;
import org.eclipse.jet.JET2Template;
import org.eclipse.jet.JET2Writer;
import org.eclipse.jet.taglib.RuntimeTagElement;
import org.eclipse.jet.taglib.TagInfo;
import org.eclipse.bpel.model.resource.BPELResource;
import org.eclipse.bpel.model.Process;
import org.spagic.bpel.ode.utils.*;
import org.spagic.bpel.ode.log.*;

public class _jet_main implements JET2Template {
    private static final String _jetns_ws = "org.eclipse.jet.workspaceTags"; //$NON-NLS-1$

    public _jet_main() {
        super();
    }

    private static final String NL = System.getProperty("line.separator"); //$NON-NLS-1$
    
    private static final TagInfo _td_ws_file_43_1 = new TagInfo("ws:file", //$NON-NLS-1$
            43, 1,
            new String[] {
                "template", //$NON-NLS-1$
                "path", //$NON-NLS-1$
            },
            new String[] {
                "templates/deploy.jet", //$NON-NLS-1$
                "{$org.spagic.bpel.ode.directoryPrj}/Bpel/{$processName}/deploy.xml", //$NON-NLS-1$
            } );
    private static final TagInfo _td_ws_file_44_1 = new TagInfo("ws:file", //$NON-NLS-1$
            44, 1,
            new String[] {
                "template", //$NON-NLS-1$
                "path", //$NON-NLS-1$
            },
            new String[] {
                "templates/wsdl.jet", //$NON-NLS-1$
                "{$org.spagic.bpel.ode.directoryPrj}/Bpel/{$processName}/{$processName}Wrapped.wsdl", //$NON-NLS-1$
            } );

    public void generate(final JET2Context context, final JET2Writer __out) {
        JET2Writer out = __out;
        out.write("\t\t\t\t");  //$NON-NLS-1$        
        out.write(NL);         
        out.write(NL);         
 	
	Process process = (Process)context.getSource();
	String processName = process.getName(); 
	context.setVariable("process", process);
	context.setVariable("processName", processName);
	String absPathBpel = (String)context.getVariable("org.spagic.bpel.ode.absPathBpel");
	WsdlParserUtil wsdlParser = null;
	try {
		wsdlParser = new WsdlParserUtil(absPathBpel, process);
	} catch (Exception ex){
		SpagicLogger.error("main: " + ex);
		throw new RuntimeException();
	}
	context.setVariable("wsdlParser", wsdlParser);

        RuntimeTagElement _jettag_ws_file_43_1 = context.getTagFactory().createRuntimeTag(_jetns_ws, "file", "ws:file", _td_ws_file_43_1); //$NON-NLS-1$ //$NON-NLS-2$
        _jettag_ws_file_43_1.setRuntimeParent(null);
        _jettag_ws_file_43_1.setTagInfo(_td_ws_file_43_1);
        _jettag_ws_file_43_1.doStart(context, out);
        _jettag_ws_file_43_1.doEnd();
        out.write(NL);         
        RuntimeTagElement _jettag_ws_file_44_1 = context.getTagFactory().createRuntimeTag(_jetns_ws, "file", "ws:file", _td_ws_file_44_1); //$NON-NLS-1$ //$NON-NLS-2$
        _jettag_ws_file_44_1.setRuntimeParent(null);
        _jettag_ws_file_44_1.setTagInfo(_td_ws_file_44_1);
        _jettag_ws_file_44_1.doStart(context, out);
        _jettag_ws_file_44_1.doEnd();
        out.write(NL);         
        out.write(NL);         
    }
}
