package org.spagic.bpmn.diagram.palette.toolentries;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.gef.palette.ToolEntry;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.stp.bpmn.diagram.providers.BpmnElementTypes;

public class DataObjectCreationTool extends AbstractToolEntry {

	public ToolEntry createTool() {
	        ImageDescriptor smallImage;
	        ImageDescriptor largeImage;

	        smallImage = BpmnElementTypes
	                .getImageDescriptor(BpmnElementTypes.DataObject_2005);

	        largeImage = smallImage;

	        final List elementTypes = new ArrayList();
	        elementTypes.add(BpmnElementTypes.DataObject_2005);
	        elementTypes.add(BpmnElementTypes.DataObject_1003);
	        ToolEntry result = new NodeToolEntry("Data Object",
	                "Create new Data Object", smallImage, largeImage, elementTypes);

	        return result;
	    }

}
