package org.spagic.bpmn.diagram.palette.toolentries;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.gef.palette.ToolEntry;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.stp.bpmn.diagram.providers.BpmnElementTypes;

public class LaneCreationTool extends AbstractToolEntry {

	public ToolEntry createTool() {
		 
		        ImageDescriptor smallImage;
		        ImageDescriptor largeImage;

		        smallImage = BpmnElementTypes
		                .getImageDescriptor(BpmnElementTypes.Lane_2007);

		        largeImage = smallImage;

		        final List elementTypes = new ArrayList();
		        elementTypes.add(BpmnElementTypes.Lane_2007);
		        ToolEntry result = new NodeToolEntry("Lane", "Create new Lane",
		                smallImage, largeImage, elementTypes);

		        return result;
		    }

}
