package org.spagic.bpmn.diagram.palette.toolentries;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.gef.palette.ToolEntry;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.stp.bpmn.BpmnPackage;
import org.eclipse.stp.bpmn.commands.ElementTypeEx;
import org.eclipse.stp.bpmn.commands.IElementTypeEx;
import org.eclipse.stp.bpmn.diagram.providers.BpmnElementTypes;

public class SubProcessLoopingCreationTool extends AbstractToolEntry {

	public ToolEntry createTool() {
		
	   
	        ImageDescriptor smallImage = findSmallImgDescr(SUB_PROCESS_EXPANDED_LOOPING);
	        ImageDescriptor largeImage = findLargeImgDescr(SUB_PROCESS_EXPANDED_LOOPING);

	        final List elementTypes = new ArrayList();
	        IElementTypeEx activity = ElementTypeEx.wrap(
	                BpmnElementTypes.SubProcess_2002,
	                BpmnPackage.Literals.ACTIVITY__LOOPING.getName());
	        elementTypes.add(activity);
	        ToolEntry result = new NodeToolEntry("Looping Sub-process",
	                "Create a looping sub-process", smallImage, largeImage, elementTypes);
	        return result;
	    }

}
