package org.eclipse.jet.compiled;

import org.eclipse.jet.JET2Context;
import org.eclipse.jet.JET2Template;
import org.eclipse.jet.JET2Writer;
import org.eclipse.jet.taglib.RuntimeTagElement;
import org.eclipse.jet.taglib.TagInfo;
import org.eclipse.emf.ecore.*;
import org.eclipse.emf.ecore.resource.*;
import org.eclipse.stp.im.*;
import org.eclipse.stp.im.impl.*;
import java.util.*;
import org.spagic.utils.*;
import org.spagic.im.out.jbi.smx.utils.*;

public class _jet_main implements JET2Template {
    private static final String _jetns_ws = "org.eclipse.jet.workspaceTags"; //$NON-NLS-1$

    public _jet_main() {
        super();
    }

    private static final String NL = System.getProperty("line.separator"); //$NON-NLS-1$
    
    private static final TagInfo _td_ws_file_31_5 = new TagInfo("ws:file", //$NON-NLS-1$
            31, 5,
            new String[] {
                "template", //$NON-NLS-1$
                "path", //$NON-NLS-1$
            },
            new String[] {
                "templates/wsdlgen.jet", //$NON-NLS-1$
                "{$org.eclipse.jet.resource.project.name}/WsdlFiles/{$wsdlFileName}", //$NON-NLS-1$
            } );

    public void generate(final JET2Context context, final JET2Writer __out) {
        JET2Writer out = __out;
        out.write("\t\t\t\t");  //$NON-NLS-1$        
        out.write(NL);         
        out.write(NL);         
 	
	System.out.println(" Entering in mainwsdl.jet");
	
	JBIJetUtils.initJbiConfiguration();
	
	Resource res = (Resource)context.getSource();
	StpIntermediateModel stpModel = (StpIntermediateModel)res.getContents().get(0);
	
	List<org.eclipse.stp.im.Process> processesList = stpModel.getProcessCollection().getProcesses();
	ServiceBinding sb = null;
	for ( org.eclipse.stp.im.Process aProcess : processesList){
		context.setVariable("process", aProcess);
		for (Step aStep : aProcess.getSteps()) {
			sb = JBIJetUtils.getRightStepBinding(aStep);
			if ((sb != null) && (sb.getName().equalsIgnoreCase("JBI-HTTPInputOutputBindingComponent") 
				|| (sb.getName().equalsIgnoreCase("JBI-HTTPInputBindingComponent")))) {
				context.setVariable("step", aStep);
				context.setVariable("servicebinding", sb);
				context.setVariable("wsdlFileName", SpagicUtils.getStepLocalNamePart(aProcess, aStep) + ".wsdl");

        out.write("\t\t\t\t");  //$NON-NLS-1$        
        RuntimeTagElement _jettag_ws_file_31_5 = context.getTagFactory().createRuntimeTag(_jetns_ws, "file", "ws:file", _td_ws_file_31_5); //$NON-NLS-1$ //$NON-NLS-2$
        _jettag_ws_file_31_5.setRuntimeParent(null);
        _jettag_ws_file_31_5.setTagInfo(_td_ws_file_31_5);
        _jettag_ws_file_31_5.doStart(context, out);
        _jettag_ws_file_31_5.doEnd();
        out.write(NL);         

			}//if
		}//for 
	}//for		

        out.write(NL);         
        out.write(NL);         
        out.write(NL);         
        out.write("   \t");  //$NON-NLS-1$        
        out.write(NL);         
        out.write(NL);         
        out.write(NL);         
    }
}
