/**

    Copyright 2007, 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic.im.out.jbi.smx.utils;

import org.eclipse.stp.im.Property;
import org.eclipse.stp.im.Step;

public interface IPropertyMap {

	public abstract String getImName();

	public abstract void setImName(String imName);

	public abstract String getRuntimeName();

	public abstract void setRuntimeName(String runtimeName);

	public abstract boolean isRequired();

	public abstract void setRequired(boolean isRequired);

	public abstract boolean isProduceConfiguration();

	public abstract void setProduceConfiguration(boolean produceConfiguration);

	public abstract IDecorator getDecorator();

	public abstract void setDecorator(IDecorator decorator);

	public abstract String eval(Step s);

	public String getCondition();

	public void setCondition(String condition);
	
	public boolean isUnderCondition();

	public boolean evaluateGenerationCondition(Step aStep);

}