/**

    Copyright 2007, 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic.ui.view;


import java.util.ArrayList;
import java.util.List;

public abstract class ObservableAttributeTreeModel {
	
	protected CatalogObservableAttributeTreeElement parent = null;
	protected String id = null;
	protected String name = null;
	


	public ObservableAttributeTreeModel(String id, String name) {
		super();
		this.id = id;
		this.name = name;
	}

	public CatalogObservableAttributeTreeElement getParent() {
		return parent;
	}

	public void setParent(CatalogObservableAttributeTreeElement parent) {
		this.parent = parent;
	}

	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}
}
