/**

    Copyright 2007, 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic.utils.preference;

/**
 * Constant definitions for plug-in preferences
 */
public class SpagicPreferenceConstants {

	public static final String P_SPAGIC_SERVICE_MANAGER_HOST = "localhost";
	
	public static final String P_SPAGIC_BASE_NAME_SPACE = "P_SPAGIC_BASE_NAME_SPACE";
	
	public static final String P_SPAGIC_DB_URL = "P_SPAGIC_DB_URL";
	
	public static final String P_SPAGIC_DB_DRIVER = "P_SPAGIC_DB_DRIVER";
	
	public static final String P_SPAGIC_DB_USER = "P_SPAGIC_DB_USER";
	
	public static final String P_SPAGIC_DB_PASSWORD = "P_SPAGIC_DB_PASSWORD";
	
	public static final String P_SPAGIC_DB_HIB_DIALECT = "P_SPAGIC_DB_HIB_DIALECT";
	
	public static final String P_SPAGIC_DB_SHOW_SQL = "P_SPAGIC_SHOW_SQL";
	
	
	public static final String P_SERVICE_REGISTRY_INQUIRY_URL = "P_SERVICE_REGISTRY_INQUIRY_URL";
	
	public static final String P_SERVICE_REGISTRY_PUBLISH_URL = "P_SERVICE_REGISTRY_PUBLISH_URL";

	public static final String P_SERVICE_REGISTRY_USER = "P_SERVICE_REGISTRY_USER";
	
	public static final String P_SERVICE_REGISTRY_PASSWORD = "P_SERVICE_REGISTRY_PASSWORD";
	
	public static final String P_SERVICE_REGISTRY_DEFAULT_ORG = "P_SERVICE_REGISTRY_DEFAULT_ORG";
	
	public static final String P_GRAPH_VIZ_DOT_EXE = "P_GRAPH_VIZ_DOT_EXE";
	
	public static final String P_GRAPH_VIZ_TEMP_FOLDER = "P_GRAPH_VIZ_TEMP_FOLDER";
	
	public static final String P_SMX_GET_RESOURCES = "P_SMX_GET_RESOURCES";
	
	
}
