package org.spagic.bpmn.diagram.palette.toolentries;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.gef.palette.ToolEntry;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.stp.bpmn.diagram.providers.BpmnElementTypes;

public class AssociationCreationTool extends AbstractToolEntry {

	public ToolEntry createTool() {
		
		        ImageDescriptor smallImage;
		        ImageDescriptor largeImage;

		        smallImage = BpmnElementTypes
		                .getImageDescriptor(BpmnElementTypes.Association_3003);

		        largeImage = smallImage;

		        final List relationshipTypes = new ArrayList();
		        relationshipTypes.add(BpmnElementTypes.Association_3003);
		        ToolEntry result = new LinkToolEntry("Association",
		                "Create new Association", smallImage, largeImage,
		                relationshipTypes);

		        return result;
		    }

}
