package org.spagic.bpmn.diagram.palette.toolentries;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.gef.palette.ToolEntry;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.stp.bpmn.diagram.providers.BpmnElementTypes;

public class EdgeConnectionCreationTool extends AbstractToolEntry {

	public ToolEntry createTool() {
		
	   
	        ImageDescriptor smallImage = findSmallImgDescr(FLOW_CONNECTOR);
	        ImageDescriptor largeImage = findLargeImgDescr(FLOW_CONNECTOR);

	        final List relationshipTypes = new ArrayList();
	        relationshipTypes.add(BpmnElementTypes.SequenceEdge_3001);
	        ToolEntry result = new LinkToolEntry("Flow Connector",
	                "Create a flow connection", smallImage, largeImage,
	                relationshipTypes);

	        return result;
	   
	}

}
