package org.spagic.bpmn.diagram.palette.toolentries;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.gef.palette.ToolEntry;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.stp.bpmn.diagram.providers.BpmnElementTypes;

public class GroupCreationTool extends AbstractToolEntry {

	public ToolEntry createTool() {
	
	        ImageDescriptor smallImage;
	        ImageDescriptor largeImage;

	        smallImage = BpmnElementTypes
	                .getImageDescriptor(BpmnElementTypes.Group_2006);

	        largeImage = smallImage;

	        final List elementTypes = new ArrayList();
	        elementTypes.add(BpmnElementTypes.Group_2006);
	        elementTypes.add(BpmnElementTypes.Group_1004);
	        ToolEntry result = new NodeToolEntry("Group", "Create new Group",
	                smallImage, largeImage, elementTypes);

	        return result;
	    }
}
