package org.spagic.bpmn.diagram.palette.toolentries;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.gef.palette.ToolEntry;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.stp.bpmn.BpmnPackage;
import org.eclipse.stp.bpmn.commands.ElementTypeEx;
import org.eclipse.stp.bpmn.commands.IElementTypeEx;
import org.eclipse.stp.bpmn.diagram.providers.BpmnElementTypes;

public class LoopingTaskCreationTool extends AbstractToolEntry {

	public ToolEntry createTool() {
		
	   
	        ImageDescriptor smallImage = findSmallImgDescr(TASK_LOOPING);
	        ImageDescriptor largeImage = findLargeImgDescr(TASK_LOOPING);

	        final List elementTypes = new ArrayList();
	        IElementTypeEx activity1 = ElementTypeEx.wrap(
	                BpmnElementTypes.Activity_2001,
	                BpmnPackage.Literals.ACTIVITY__LOOPING.getName());
	        elementTypes.add(activity1);
	        ToolEntry result = new NodeToolEntry("Looping Task", "Create a looping task",
	                smallImage, largeImage, elementTypes);

	        return result;
	   
	}

}
