package org.spagic.bpmn.diagram.palette.toolentries;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.gef.palette.ToolEntry;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.stp.bpmn.diagram.providers.BpmnElementTypes;

public class MessageConnectionCreationTool extends AbstractToolEntry{

	public  ToolEntry createTool() {
	        ImageDescriptor smallImage;
	        ImageDescriptor largeImage;

	        smallImage = BpmnElementTypes
	                .getImageDescriptor(BpmnElementTypes.MessagingEdge_3002);

	        largeImage = smallImage;

	        final List relationshipTypes = new ArrayList();
	        relationshipTypes.add(BpmnElementTypes.MessagingEdge_3002);
	        ToolEntry result = new LinkToolEntry("Message Connection",
	                "Create new Message Connection", smallImage, largeImage,
	                relationshipTypes);

	        return result;
	    }

}
