package org.spagic.bpmn.diagram.palette.toolentries;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.gef.palette.ToolEntry;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.stp.bpmn.ActivityType;
import org.eclipse.stp.bpmn.commands.ElementTypeEx;
import org.eclipse.stp.bpmn.commands.IElementTypeEx;
import org.eclipse.stp.bpmn.diagram.providers.BpmnElementTypes;

public class StartEmptyCreationTool extends AbstractToolEntry {

	public ToolEntry createTool() {
		 /**
	     * @notgenerated
	     */
	 
	        ImageDescriptor smallImage = findSmallImgDescr(START_EMPTY);
	        ImageDescriptor largeImage = findLargeImgDescr(START_EMPTY);

	        final List elementTypes = new ArrayList();
	        IElementTypeEx activity = ElementTypeEx
	                .wrap(
	                        BpmnElementTypes.Activity_2001,
	                        ActivityType.EVENT_START_EMPTY_LITERAL.getName());

	        elementTypes.add(activity);

	        ToolEntry result = new NodeToolEntry("Empty Start", //$NON-NLS-1$
	                "Create an empty start event", smallImage, largeImage, //$NON-NLS-1$
	                elementTypes) {
	        };

	        return result;
	    }

}
