package org.spagic.bpmn.diagram.palette.toolentries;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.gef.palette.ToolEntry;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.stp.bpmn.diagram.providers.BpmnElementTypes;

public class SubProcessCreationTool extends AbstractToolEntry {

	public ToolEntry createTool() {
		
	        ImageDescriptor smallImage = findSmallImgDescr(SUB_PROCESS_EXPANDED);
	        ImageDescriptor largeImage = findLargeImgDescr(SUB_PROCESS_EXPANDED);

	        final List elementTypes = new ArrayList();
	        elementTypes.add(BpmnElementTypes.SubProcess_2002);
	        ToolEntry result = new NodeToolEntry("Sub-process",
	                "Create a sub-process", smallImage, largeImage, elementTypes);

	        return result;
	    }

}
