package org.spagic.bpmn.diagram.palette.toolentries;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.gef.palette.ToolEntry;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.stp.bpmn.diagram.providers.BpmnElementTypes;

public class TaskCreationTool extends AbstractToolEntry {

	public ToolEntry createTool() {
		
		        ImageDescriptor smallImage = findSmallImgDescr(TASK);
		        ImageDescriptor largeImage = findLargeImgDescr(TASK);

		        final List elementTypes = new ArrayList();
		        elementTypes.add(BpmnElementTypes.Activity_2001);
		        ToolEntry result = new NodeToolEntry("Task", "Create a task",
		                smallImage, largeImage, elementTypes);

		        return result;
		  
	}

}
