package org.spagic.bpmn.diagram.palette.toolentries;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.gef.palette.ToolEntry;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.stp.bpmn.diagram.providers.BpmnElementTypes;

public class TextAnnotationCreationTool implements IToolEntry {

	public ToolEntry createTool() {
		
	        ImageDescriptor smallImage;
	        ImageDescriptor largeImage;

	        smallImage = BpmnElementTypes
	                .getImageDescriptor(BpmnElementTypes.TextAnnotation_2004);

	        largeImage = smallImage;

	        final List elementTypes = new ArrayList();
	        elementTypes.add(BpmnElementTypes.TextAnnotation_2004);
	        elementTypes.add(BpmnElementTypes.TextAnnotation_1002);
	        ToolEntry result = new NodeToolEntry("Text Annotation",
	                "Create new Text Annotation", smallImage, largeImage,
	                elementTypes);

	        return result;
	    }

	}

