package org.eclipse.jet.compiled;

import org.eclipse.jet.JET2Context;
import org.eclipse.jet.JET2Template;
import org.eclipse.jet.JET2Writer;
import org.eclipse.jet.taglib.RuntimeTagElement;
import org.eclipse.jet.taglib.TagInfo;
import org.eclipse.emf.ecore.*;
import org.eclipse.emf.ecore.resource.*;
import org.eclipse.stp.im.*;
import org.eclipse.stp.im.impl.*;
import java.util.*;
import org.spagic.utils.*;
import org.spagic.im.out.jbi.smx.utils.*;

public class _jet_main implements JET2Template {
    private static final String _jetns_ws = "org.eclipse.jet.workspaceTags"; //$NON-NLS-1$

    public _jet_main() {
        super();
    }

    private static final String NL = System.getProperty("line.separator"); //$NON-NLS-1$
    
    private static final TagInfo _td_ws_folder_61_2 = new TagInfo("ws:folder", //$NON-NLS-1$
            61, 2,
            new String[] {
                "path", //$NON-NLS-1$
            },
            new String[] {
                "{$org.eclipse.jet.resource.project.name}/{$saName}", //$NON-NLS-1$
            } );
    private static final TagInfo _td_ws_folder_62_3 = new TagInfo("ws:folder", //$NON-NLS-1$
            62, 3,
            new String[] {
                "path", //$NON-NLS-1$
            },
            new String[] {
                "META-INF", //$NON-NLS-1$
            } );
    private static final TagInfo _td_ws_file_63_7 = new TagInfo("ws:file", //$NON-NLS-1$
            63, 7,
            new String[] {
                "template", //$NON-NLS-1$
                "path", //$NON-NLS-1$
            },
            new String[] {
                "templates/jbixml.jet", //$NON-NLS-1$
                "jbi.xml", //$NON-NLS-1$
            } );
    private static final TagInfo _td_ws_folder_72_4 = new TagInfo("ws:folder", //$NON-NLS-1$
            72, 4,
            new String[] {
                "path", //$NON-NLS-1$
            },
            new String[] {
                "{$suNameForProcess}", //$NON-NLS-1$
            } );
    private static final TagInfo _td_ws_file_75_5 = new TagInfo("ws:file", //$NON-NLS-1$
            75, 5,
            new String[] {
                "template", //$NON-NLS-1$
                "path", //$NON-NLS-1$
            },
            new String[] {
                "templates/stdsu.jet", //$NON-NLS-1$
                "xbean.xml", //$NON-NLS-1$
            } );
    private static final TagInfo _td_ws_file_79_5 = new TagInfo("ws:file", //$NON-NLS-1$
            79, 5,
            new String[] {
                "template", //$NON-NLS-1$
                "path", //$NON-NLS-1$
            },
            new String[] {
                "templates/lwsu.jet", //$NON-NLS-1$
                "servicemix.xml", //$NON-NLS-1$
            } );

    public void generate(final JET2Context context, final JET2Writer __out) {
        JET2Writer out = __out;
        out.write("\t\t\t\t");  //$NON-NLS-1$        
        out.write(NL);         
        out.write(NL);         
 	
	System.out.println(" Entering in main.jet");
	
	JBIJetUtils.initJbiConfiguration();
	
	Resource res = (Resource)context.getSource();
	StpIntermediateModel stpModel = (StpIntermediateModel)res.getContents().get(0);
	
	JBIJetUtils.jbiIntermediateModelPreprocessor(stpModel);
	
	List<org.eclipse.stp.im.Process> processesList = stpModel.getProcessCollection().getProcesses();

	for ( org.eclipse.stp.im.Process aProcess : processesList){
	
	if (SpagicUtils.isProcessDeployableForRuntime(
		aProcess, JBIJetUtils.getRuntimeId())){

	context.setVariable("process", aProcess);
	context.setVariable("processVersion", SpagicUtils.getProcessVersion(aProcess));
	context.setVariable("saName", aProcess.getName()+ "_v_" + SpagicUtils.getProcessVersion(aProcess)+"-sa");
	
	Map<String, List<Step>> processServiceUnitsMap = JBIJetUtils.getServiceUnitListForProcessModels(aProcess);
	Set<String> sus = processServiceUnitsMap.keySet();
	
	context.setVariable("processServiceUnitsMap", processServiceUnitsMap);
	
	JBIJetUtils.addFolder((String)context.getVariable("saName"));


        out.write("\t");  //$NON-NLS-1$        
        out.write(NL);         
        RuntimeTagElement _jettag_ws_folder_61_2 = context.getTagFactory().createRuntimeTag(_jetns_ws, "folder", "ws:folder", _td_ws_folder_61_2); //$NON-NLS-1$ //$NON-NLS-2$
        _jettag_ws_folder_61_2.setRuntimeParent(null);
        _jettag_ws_folder_61_2.setTagInfo(_td_ws_folder_61_2);
        _jettag_ws_folder_61_2.doStart(context, out);
        while (_jettag_ws_folder_61_2.okToProcessBody()) {
            RuntimeTagElement _jettag_ws_folder_62_3 = context.getTagFactory().createRuntimeTag(_jetns_ws, "folder", "ws:folder", _td_ws_folder_62_3); //$NON-NLS-1$ //$NON-NLS-2$
            _jettag_ws_folder_62_3.setRuntimeParent(_jettag_ws_folder_61_2);
            _jettag_ws_folder_62_3.setTagInfo(_td_ws_folder_62_3);
            _jettag_ws_folder_62_3.doStart(context, out);
            while (_jettag_ws_folder_62_3.okToProcessBody()) {
                out.write("   \t\t\t");  //$NON-NLS-1$        
                RuntimeTagElement _jettag_ws_file_63_7 = context.getTagFactory().createRuntimeTag(_jetns_ws, "file", "ws:file", _td_ws_file_63_7); //$NON-NLS-1$ //$NON-NLS-2$
                _jettag_ws_file_63_7.setRuntimeParent(_jettag_ws_folder_62_3);
                _jettag_ws_file_63_7.setTagInfo(_td_ws_file_63_7);
                _jettag_ws_file_63_7.doStart(context, out);
                _jettag_ws_file_63_7.doEnd();
                out.write(NL);         
                _jettag_ws_folder_62_3.handleBodyContent(out);
            }
            _jettag_ws_folder_62_3.doEnd();
    	
    		String suNameForProcess = null;
       		for ( String su : sus ){
       			suNameForProcess = aProcess.getName()+ "_v_" + SpagicUtils.getProcessVersion(aProcess) + "-" + JBIJetUtils.getServiceUnitBriefName(su);
       			context.setVariable("suNameForProcess", suNameForProcess);
       			context.setVariable("su", su);
    
            RuntimeTagElement _jettag_ws_folder_72_4 = context.getTagFactory().createRuntimeTag(_jetns_ws, "folder", "ws:folder", _td_ws_folder_72_4); //$NON-NLS-1$ //$NON-NLS-2$
            _jettag_ws_folder_72_4.setRuntimeParent(_jettag_ws_folder_61_2);
            _jettag_ws_folder_72_4.setTagInfo(_td_ws_folder_72_4);
            _jettag_ws_folder_72_4.doStart(context, out);
            while (_jettag_ws_folder_72_4.okToProcessBody()) {
                  if (JBIJetUtils.isStandard(su)){
        
                out.write("\t\t\t\t");  //$NON-NLS-1$        
                RuntimeTagElement _jettag_ws_file_75_5 = context.getTagFactory().createRuntimeTag(_jetns_ws, "file", "ws:file", _td_ws_file_75_5); //$NON-NLS-1$ //$NON-NLS-2$
                _jettag_ws_file_75_5.setRuntimeParent(_jettag_ws_folder_72_4);
                _jettag_ws_file_75_5.setTagInfo(_td_ws_file_75_5);
                _jettag_ws_file_75_5.doStart(context, out);
                _jettag_ws_file_75_5.doEnd();
                out.write(NL);         
        
        			}else{
        
                out.write("\t\t\t\t");  //$NON-NLS-1$        
                RuntimeTagElement _jettag_ws_file_79_5 = context.getTagFactory().createRuntimeTag(_jetns_ws, "file", "ws:file", _td_ws_file_79_5); //$NON-NLS-1$ //$NON-NLS-2$
                _jettag_ws_file_79_5.setRuntimeParent(_jettag_ws_folder_72_4);
                _jettag_ws_file_79_5.setTagInfo(_td_ws_file_79_5);
                _jettag_ws_file_79_5.doStart(context, out);
                _jettag_ws_file_79_5.doEnd();
                out.write(NL);         
        
        			} // END ELSE 
        
                _jettag_ws_folder_72_4.handleBodyContent(out);
            }
            _jettag_ws_folder_72_4.doEnd();
       		
       		}//	END LOOP ON SUS
    
            _jettag_ws_folder_61_2.handleBodyContent(out);
        }
        _jettag_ws_folder_61_2.doEnd();
}
}
        out.write(NL);         
        out.write(NL);         
    }
}
