/**

    Copyright 2007, 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic.ui.dialog;



import org.eclipse.jface.viewers.ILabelProviderListener;
import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.swt.graphics.Image;
import org.spagic.ui.view.ExtractionRuleObservableAttribute;

public class ExtractionRuleLabelProvider implements ITableLabelProvider
{
	
	public ExtractionRuleLabelProvider(){
	}
	
	public String getColumnText(Object element, int column_index) {
		if (element instanceof ExtractionRuleObservableAttribute) {
			 ExtractionRuleObservableAttribute rule = (ExtractionRuleObservableAttribute)element;
			 if (column_index == 0){
				 return rule.getName();
			 }if (column_index == 1){
				 return rule.getExpression();
			 }if (column_index == 2){
				 return String.valueOf(rule.isSubjectToCondition());
			 }if (column_index == 3){
				 return String.valueOf(rule.getConditionExpression() != null ? rule.getConditionExpression() : "" );
			 }else{
				 return "";
			 }
			 
		 }else{
			 return "";
		 }
  }

  public void addListener(ILabelProviderListener ilabelproviderlistener)
  {
  }

  public void dispose()
  {
  }

  public boolean isLabelProperty(Object obj, String s)
  {
    return false;
  }

  public void removeListener(ILabelProviderListener ilabelproviderlistener)
  {
  }

  public Image getColumnImage(Object element, int column_index)
  {
      return null;
    
  }
}

